cURL
curl --request GET \
--url https://api.vozo.ai/v1/media/translate/{task_id} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.vozo.ai/v1/media/translate/{task_id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.vozo.ai/v1/media/translate/{task_id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "queuing",
"err_code": "<string>",
"err_message": "<string>",
"result": {
"video_url": "<string>",
"audio_url": "<string>",
"subtitle_url": "<string>",
"project_url": "<string>"
}
}{
"code": "<string>",
"message": "<string>",
"serverTs": "<string>"
}Translate & Dub API
Query Translate & Dub Job Status
Query translate & dub job status
GET
/
v1
/
media
/
translate
/
{task_id}
cURL
Authorizations
Bearer authentication header of the form Bearer <api_key>, where <api_key> is your API Key. The token in the sample code is referring to this api_key as well.
Path Parameters
Response
Job Status
Current job status
Available options:
queuing, preprocessing, transcribing, translating, dubbing, rendering, done, failed Error code (present when status is failed)
Error message (present when status is failed)
Result URLs when available
Show child attributes
Show child attributes
Last modified on February 9, 2026
Was this page helpful?
⌘I